##########################################
#  libfat12fs - FAT12 filesystem plugin  #
##########################################

TEMPLATE = lib
CONFIG += plugin
INCLUDEPATH += ../include

# Headers
HEADERS += fat12.h
HEADERS += fat12fs.h
HEADERS += fat12entry.h
HEADERS += winutils.h
HEADERS += about_dialog.h
HEADERS += fat12_bpb.h
HEADERS += fat12_directory.h
HEADERS += fat12_direntry.h
HEADERS += fat12_fat.h
HEADERS += utils.h

# Sources
SOURCES += fat12.cpp
SOURCES += fat12fs.cpp
SOURCES += fat12entry.cpp
SOURCES += winutils.cpp
SOURCES += about_dialog.cpp
SOURCES += fat12_bpb.cpp
SOURCES += fat12_directory.cpp
SOURCES += fat12_direntry.cpp
SOURCES += fat12_fat.cpp
SOURCES += utils.cpp

# Forms
FORMS += about.ui

# For getting windows file icons, we need to link against GDI32 to use the
# Shell API.
win32:LIBS += libgdi32

# On Win32 GDB seems to have issues with either long paths or paths with spaces
# in them. So if GDB is to be used, we must build to C:\temp
win32:debug {
    DESTDIR = C:/temp/
}
